Subject: Re: [PATCH] powerpc: Support new property called interrupt-parents

From: Segher Boessenkool <[email-masked]>
Date: Mon, 7 May 2007 14:28:32 +0200

>> Support new property called interrupt-parents.  This enables the
>> description of devices that have multiple interrupts that are routed 
>> to
>> different interrupt controllers.
>
> I think we can get the same effect by using an interrupt-map property
> in the node, with the node's interrupt-parent pointing to itself.
> That way we can just use the existing interrupt-map parsing code.

Sure, or have a separate interrupt nexus node that
represents just this wiring.

We had a very long thread about this before...

Segher